﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Input;
using Syncfusion.UI.Xaml.Controls.Input;

namespace SfNumericDown_Scrolling
{
    public class SfNumericUpdownExt : SfNumericUpDown
    {


        public bool DisableValueChangeOnScroll
        {
            get { return (bool)GetValue(DisableValueChangeOnScrollProperty); }
            set { SetValue(DisableValueChangeOnScrollProperty, value); }
        }

        // Using a DependencyProperty as the backing store for DisableValueChangeOnScroll.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty DisableValueChangeOnScrollProperty =
            DependencyProperty.Register("DisableValueChangeOnScroll", typeof(bool), typeof(SfNumericUpdownExt), new PropertyMetadata(false));


        protected override void OnPointerWheelChanged(PointerRoutedEventArgs e)
        {
            e.Handled = this.DisableValueChangeOnScroll;
            if (!e.Handled)
                base.OnPointerWheelChanged(e);

        }

        public SfNumericUpdownExt()
        {
            DefaultStyleKey = typeof(SfNumericUpDown);
        }
    }
}
